toc:
- title: "Version 31 (dev)"
  path: /native-client/dev/version
- title: "What is Native Client?"
  path: /native-client/dev/overview
- title: "Demos"
  path: http://gonativeclient.appspot.com/demo/
- title: "Download SDK"
  path: /native-client/dev/sdk/download
- title: "Getting Started Tutorial"
  path: /native-client/dev/devguide/tutorial/
  section:
  - title: "Part 1: Simple PNaCl Web App"
    path: /native-client/dev/devguide/tutorial/tutorial-part1
  - title: "Part 2: SDK Build System and Chrome Apps"
    path: /native-client/dev/devguide/tutorial/tutorial-part2
- title: "Learn More About NaCl"
  section:
  - title: "NaCl and PNaCl"
    path: /native-client/dev/nacl-and-pnacl
  - title: "Publications & Presentations"
    path: /native-client/dev/publications-and-presentations
  - title: "Security Contest Archive"
    path: /native-client/dev/community/security-contest/index
- title: "Developer's Guide"
  section:
  - title: "SDK Examples"
    path: /native-client/dev/sdk/examples 
  - title: "SDK Release Notes"
    path: /native-client/dev/sdk/release-notes
  - title: "Development Cycle"
    section:
    - title: "Building"
      path: /native-client/dev/devguide/devcycle/building
    - title: "Running"
      path: /native-client/dev/devguide/devcycle/running
    - title: "Debugging"
      path: /native-client/dev/devguide/devcycle/debugging
    - title: "Debugging With Visual Studio"
      path: /native-client/dev/devguide/devcycle/vs-addin
    - title: "Dynamic Linking and Loading with glibc"
      path: /native-client/dev/devguide/devcycle/dynamic-loading
  - title: "Coding Your Application"
    section:
    - title: "Application Structure"
      path: /native-client/dev/devguide/coding/application-structure
    - title: "Native Client Modules"
      path: /native-client/dev/devguide/coding/native-client-modules
    - title: "3D Graphics"
      path: /native-client/dev/devguide/coding/3D-graphics
    - title: "Audio"
      path: /native-client/dev/devguide/coding/audio
    - title: "File I/O"
      path: /native-client/dev/devguide/coding/file-io
    - title: "The nacl_io Library"
      path: /native-client/dev/devguide/coding/nacl_io
    - title: "Messaging System"
      path: /native-client/dev/devguide/coding/message-system
    - title: "Progress Events"
      path: /native-client/dev/devguide/coding/progress-events
    - title: "URL Loading"
      path: /native-client/dev/devguide/coding/url-loading
    - title: "View Change, Focus, and Input Events"
      path: /native-client/dev/devguide/coding/view-focus-input-events
  - title: "Distributing Your Application"
    path: /native-client/dev/devguide/distributing
- title: "Reference"
  section:
  - title: "Glossary"
    path: /native-client/dev/glossary
  - include: /native-client/dev/_reference_toc.yaml
  - title: "Native Client Manifest (nmf) Format"
    path: /native-client/dev/reference/nacl-manifest-format
  - title: "PNaCl Bitcode Reference Manual"
    path: /native-client/dev/reference/pnacl-bitcode-abi
  - title: "PNaCl C/C++ Language Support"
    path: /native-client/dev/reference/pnacl-c-cpp-language-support
  - title: "PNaCl Undefined Behavior"
    path: /native-client/dev/reference/pnacl-undefined-behavior
  - title: "Sandbox Internals"
    section:
    - title "ARM 32-bit Sandbox"
      path: /native-client/dev/reference/sandbox_internals/arm-32-bit-sandbox
    - title "x86-64 Sandbox"
      path: /native-client/dev/reference/sandbox_internals/x86-64-sandbox
- title: "Help"
  section:
  - title: "FAQ"
    path: /native-client/dev/faq
  - title: "Forums & Issue Tracker"
    path: /native-client/dev/help
